Subject: bug#36171: 25.1; Emacs displays Hebrew text incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jun 2019 22:11:07 +0300

It could be a problem with the order of typing the diacriticals when
there are more than one for a single base letter.  For example, for
BET WITH DAGESH AND SHEVA, try typing BET, then SHEVA, and only after
that DAGESH.  And similarly in the other cases where you have DAGESH
and another diacritical.

Does that help?